%global _empty_manifest_terminate_build 0
Name:		python-Keras-Preprocessing
Version:	1.1.2
Release:	1
Summary:	Easy data preprocessing and data augmentation for deep learning models
License:	MIT
URL:		https://github.com/keras-team/keras-preprocessing
Source0:	https://files.pythonhosted.org/packages/5e/f1/b44337faca48874333769a29398fe4666686733c8880aa160b9fd5dfe600/Keras_Preprocessing-1.1.2.tar.gz
BuildArch:	noarch

%description
Keras Preprocessing is the data preprocessing
and data augmentation module of the Keras deep learning library.
It provides utilities for working with image data, text data,
and sequence data.

%package -n python3-Keras-Preprocessing
Summary:	Easy data preprocessing and data augmentation for deep learning models
Provides:	python-Keras-Preprocessing
BuildRequires:	python3-devel
BuildRequires:	python3-setuptools
Requires:	python3-numpy
Requires:	python3-six
%description -n python3-Keras-Preprocessing
Keras Preprocessing is the data preprocessing
and data augmentation module of the Keras deep learning library.
It provides utilities for working with image data, text data,
and sequence data.

%package help
Summary:	Development documents and examples for Keras-Preprocessing
Provides:	python3-Keras-Preprocessing-doc
%description help
Keras Preprocessing is the data preprocessing
and data augmentation module of the Keras deep learning library.
It provides utilities for working with image data, text data,
and sequence data.

%prep
%autosetup -n Keras_Preprocessing-%{version}

%build
%py3_build

%install
%py3_install
install -d -m755 %{buildroot}/%{_pkgdocdir}
if [ -d doc ]; then cp -arf doc %{buildroot}/%{_pkgdocdir}; fi
if [ -d docs ]; then cp -arf docs %{buildroot}/%{_pkgdocdir}; fi
if [ -d example ]; then cp -arf example %{buildroot}/%{_pkgdocdir}; fi
if [ -d examples ]; then cp -arf examples %{buildroot}/%{_pkgdocdir}; fi
pushd %{buildroot}
if [ -d usr/lib ]; then
	find usr/lib -type f -printf "/%h/%f\n" >> filelist.lst
fi
if [ -d usr/lib64 ]; then
	find usr/lib64 -type f -printf "/%h/%f\n" >> filelist.lst
fi
if [ -d usr/bin ]; then
	find usr/bin -type f -printf "/%h/%f\n" >> filelist.lst
fi
if [ -d usr/sbin ]; then
	find usr/sbin -type f -printf "/%h/%f\n" >> filelist.lst
fi
touch doclist.lst
if [ -d usr/share/man ]; then
	find usr/share/man -type f -printf "/%h/%f.gz\n" >> doclist.lst
fi
popd
mv %{buildroot}/filelist.lst .
mv %{buildroot}/doclist.lst .

%files -n python3-Keras-Preprocessing -f filelist.lst
%dir %{python3_sitelib}/*

%files help -f doclist.lst
%{_docdir}/*

%changelog
* Wed Sep 30 2020 Python_Bot <Python_Bot@openeuler.org>
- Package Spec generated
